edu.isi.pegasus.planner.catalog.site.classes

## Enum Directory.TYPE

- java.lang.Object
- - java.lang.Enum<Directory.TYPE>
  - - edu.isi.pegasus.planner.catalog.site.classes.Directory.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Directory.TYPE>

Enclosing class:
  Directory

    public static enum Directory.TYPE
    extends java.lang.Enum<Directory.TYPE>

Enumerates the new directory types supported in this schema

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`local_scratch`
`local_storage`
`shared_scratch`
`shared_storage`

### Field Summary

Fields
`private java.lang.String` `mValue`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`private java.lang.String` `getValue()` The value associated with the enum
`java.lang.String` `toString()` Override of the toString method to return
`static Directory.TYPE` `value(java.lang.String name)`
`static Directory.TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Directory.TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### shared_scratch

    public static final Directory.TYPE shared_scratch

#### shared_storage

    public static final Directory.TYPE shared_storage

#### local_scratch

    public static final Directory.TYPE local_scratch

#### local_storage

    public static final Directory.TYPE local_storage

### Field Detail

#### mValue

    private java.lang.String mValue

### Method Detail

#### values

    public static Directory.TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Directory.TYPE c : Directory.TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Directory.TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public static Directory.TYPE value(java.lang.String name)

#### getValue

    private java.lang.String getValue()

The value associated with the enum

Returns:

#### toString

    public java.lang.String toString()

Override of the toString method to return

Overrides:
  `toString` in class `java.lang.Enum<Directory.TYPE>`
Returns: